import { Service } from '../../../../core/Service';
import { AbschlussErgebnisBerufsbildend } from '../../../../core/data/abschluss/AbschlussErgebnisBerufsbildend';
import { BKAnlageAFaecher } from '../../../../core/abschluss/bk/a/BKAnlageAFaecher';
export declare class BKAnlageA01Abschluss extends Service<BKAnlageAFaecher, AbschlussErgebnisBerufsbildend> {
    constructor();
    handle(input: BKAnlageAFaecher): AbschlussErgebnisBerufsbildend;
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_abschluss_bk_a_BKAnlageA01Abschluss(obj: unknown): BKAnlageA01Abschluss;
